Package com.enonic.xp.portal.handler

## Class PortalHandlerWorker<T extends WebRequest>

- java.lang.Object
- - com.enonic.xp.portal.handler.PortalHandlerWorker<T>

- Direct Known Subclasses:
    `ControllerHandlerWorker`

      public abstract class PortalHandlerWorker<T extends WebRequest>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected T` | `request` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PortalHandlerWorker​(T request)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract PortalResponse` | `execute()` |
    `protected WebException` | `forbidden​(String message, Object... args)` | Deprecated.
    `protected WebException` | `notFound​(String message, Object... args)` | Deprecated.
    `protected void` | `setResponseCacheable​(PortalResponse.Builder response, boolean isPublic)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### request

          protected final T extends WebRequest request

  - ### Constructor Detail

    - #### PortalHandlerWorker

          public PortalHandlerWorker​(T request)

  - ### Method Detail

    - #### execute

          public abstract PortalResponse execute()
                                          throws Exception

      Throws:
        `Exception`

    - #### notFound

          @Deprecated
          protected final WebException notFound​(String message,
                                                Object... args)

      Deprecated.

    - #### forbidden

          @Deprecated
          protected final WebException forbidden​(String message,
                                                 Object... args)

      Deprecated.

    - #### setResponseCacheable

          @Deprecated
          protected void setResponseCacheable​(PortalResponse.Builder response,
                                              boolean isPublic)

      Deprecated.